gnutls_hash_get_len(3)

NAME
gnutls_hash_get_len - API function

SYNOPSIS
#include <gnutls/crypto.h>

unsigned gnutls_hash_get_len(gnutls_digest_algorithm_t algorithm);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    the hash algorithm to use

DESCRIPTION
This function will return the length of the output data of the given hash algorithm.

RETURNS
The length or zero on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/